Bug 1120870 - "Add a screencast" link is not clickable
Summary: "Add a screencast" link is not clickable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Habrnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:11a64d6edf462681184897ccd13...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:43 UTC by Michael Catanzaro
Modified: 2015-02-11 13:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 13:37:01 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-07-17 21:43:32 UTC
Description of problem:
On the screen that asks the user "how did this problem happen (step by step)", there is some text at the bottom of the page that says "add a screencast" that is blue and underlined, so it seems like a link. But it's not possible to click on it.  (Maybe the label needs to be selectable?)

(There is also too much blank space in front of this link.)

Version-Release number of selected component:
gnome-abrt-0.3.7

Additional info:
reporter:       libreport-2.2.2
kernel:         3.15.4-200.fc20.x86_64
type:           libreport

Comment 1 Jakub Filak 2014-07-18 11:40:25 UTC
Hello, thank you for the report. The link has assigned a help text which should appear when you move mouse cursor over the link. I agree that it is not a very intuitive solution. Maybe we should use an image with question mark. Do you have any suggestions how to make it clearer that user need to install "fros-recordmydesktop" package to make the screencasting working?

I apologize for a typo in the help text which states that you need "recordmydesktop". I have already fixed it : https://github.com/abrt/libreport/commit/f5ca628791e23af0ebfae6bbee715efe1e90e34d

Comment 2 Michael Catanzaro 2014-07-18 13:12:55 UTC
Aaaaah, I did not notice the tooltip.

I think the best option would be to just add a Requires in the spec file. It's a better user experience if everything needed is installed upfront, especially since fros-recordmydesktop looks like a really small package with few dependencies, and fros is already required by abrt and setroubleshoot, so a Requires would be better than using PackageKit.

It'd be best if we do not tell the user to run anything from the command line. If you don't want to add a Requires then you can use PackageKit to install it when the user tries to take a screencast; [1] is an example of how to do that.

[1] https://github.com/GNOME/gnome-documents/blob/6a7a124dc68ac18534156b7369b8172881dbded7/src/lib/gd-pdf-loader.c#L726

Comment 3 Jakub Filak 2014-07-18 14:10:31 UTC
Thank you!

libreport must not depend on fros-recordmydesktop because it depends on recordmydesktop and this dependency is unwanted (see bug #958979 for more details).

We can add fros-gnome, which provides API for gnome integrated screecasting, to the comps.


Note You need to log in before you can comment on or make changes to this bug.